# Environment

Source: https://coolify.io/docs/api/endpoints/projects/get-environment-by-name-or-uuid

## GET /projects/{uuid}/{environment_name_or_uuid}

Environment

Get environment by name or UUID.

**Authentication:** Bearer token (`bearerAuth`)

### Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| uuid | path | yes | string | Project UUID |
| environment_name_or_uuid | path | yes | string | Environment name or UUID |

### Responses

#### 200

Environment details

`application/json`: Environment

Schema `Environment`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| id | integer | no |  |
| name | string | no |  |
| project_id | integer | no |  |
| created_at | string | no |  |
| updated_at | string | no |  |
| description | string | no |  |

#### 400

Invalid token.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |

#### 401

Unauthenticated.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |

#### 404

Resource not found.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |

#### 422

Validation error.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |
| errors | object | no |  |
